ApiManagementTenants
POST
/v1/mgmt/tenant/delete/batchAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
ids?array<string>
string
cascade?boolean
Delete multiple tenants in a single batch, using a valid management key. Each tenant is deleted independently; per-tenant failures are returned in the response body.
curl -X POST "https://api.descope.com/v1/mgmt/tenant/delete/batch" \ -H "Content-Type: application/json" \ -d '{}'{ "deletedTenantIds": [ "string" ], "failedTenants": [ { "failure": "string", "id": "string" } ], "additionalErrors": { "property1": "string", "property2": "string" }}export interface Response {deletedTenantIds?: string[]failedTenants?: DeleteTenantBatchFailureResponse[]additionalErrors?: {[k: string]: string}}export interface DeleteTenantBatchFailureResponse {failure?: stringid?: string} Was this helpful?